Skip to main content
`Ctrl`+`K`

# EPSGetEigenvalue

Gets the `i`-th eigenvalue as computed by `EPSSolve()`.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetEigenvalue(EPS eps,PetscInt i,PetscScalar *eigr,PetscScalar *eigi)

Not Collective

## Input Parameters

- eps - the linear eigensolver context

- i - index of the solution

## Output Parameters

- eigr - real part of eigenvalue

- eigi - imaginary part of eigenvalue

## Notes

If the eigenvalue is real, then `eigi` is set to zero. If PETSc is configured with complex scalars the eigenvalue is stored directly in `eigr` (`eigi` is set to zero).

The index `i` should be a value between 0 and `nconv`-1 (see `EPSGetConverged()`). Eigenpairs are indexed according to the ordering criterion established with `EPSSetWhichEigenpairs()`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSolve()`, `EPSGetConverged()`, `EPSSetWhichEigenpairs()`, `EPSGetEigenpair()`

## Level

beginner

## Location

src/eps/interface/epssolve.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages